Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERPrintableString

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.DERPrintableString

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

public class DERPrintableString
extends DERObject
implements DERString

DER PrintableString object.

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERPrintableString(byte[] string)` basic constructor - byte encoded string.
`DERPrintableString(java.lang.String string)` basic constructor

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static DERPrintableString` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return a Printable String from a tagged object.
`static DERPrintableString` | `getInstance(java.lang.Object obj)` return a printable string from the passed in object.
`byte[]` | `getOctets()`
`java.lang.String` | `getString()`
`int` | `hashCode()`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERPrintableString

    public DERPrintableString(byte[] string)

  basic constructor - byte encoded string.

### DERPrintableString

    public DERPrintableString(java.lang.String string)

  basic constructor

Method Detail

### getInstance

    public static DERPrintableString getInstance(java.lang.Object obj)

  return a printable string from the passed in object.

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERPrintableString getInstance(ASN1TaggedObject obj,
                                                 boolean explicit)

  return a Printable String from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getString

    public java.lang.String getString()

  Specified by:
    `getString` in interface `DERString`

### getOctets

    public byte[] getOctets()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `DERObject`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `DERObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD